---
dependency:
  name: galaxy

driver:
  name: docker

platforms:
  - name: debian11_base
    image: debian:11
    dockerfile: Dockerfile
    privileged: True
    pre_build_image: False
    volumes:
      - "/sys/fs/cgroup:/sys/fs/cgroup:rw"
      - "/var/run/docker.sock:/var/run/docker.sock:rw"
    stop_signal: "SIGRTMIN+3"
    capabilities:
      - SYS_ADMIN
      - SYS_TIME
      - LINUX_IMMUTABLE
      - CAP_NET_BIND_SERVICE
    command: "/lib/systemd/systemd"

provisioner:
  name: ansible
  env:
    ANSIBLE_CONFIG: ../../ansible.cfg
    ANSIBLE_FORCE_COLOR: "True"
  options:
    v: True

verifier:
  name: testinfra
  options:
    v: True
    s: True

lint: |
  set -e
  yamllint .
  ansible-lint
